Ed25519 - Export a key share for backup
GET/ed25519/backup/export-key-share/:key_id
Export the key share associated with the given key_id.
The key share is returned as a base64 encoded string (serialized and can be imported to other Sodot Vertex instances).
If the Vertex is running with the Encrypted Server Share Backup mode, export_type will be set to encrypted.
Encrypted Server Share Backup mode is available as a Preview Feature, please contact the Sodot team if you want to enable it.
Request
Path Parameters
Header Parameters
The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [plaintext, encrypted]
{
"export_type": "plaintext",
"key_share": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [already_performed_keygen, api_key_not_found, bad_n_and_t_params, bad_request_params, batch_too_large, executor_result, key_id_not_exists, key_operation_before_keygen, policy_in_use_by_keys, policy_in_use_by_users, policy_not_found, policy_validation_failed, room_creation_problem, rule_in_use, rule_not_found, rule_not_in_policy, server_share_backup_setting_disabled, unique_violation, user_has_associated_keys, user_id_not_exists, user_name_already_exists, you_have_to_be_admin]
{
"err_msg": "string",
"err_type": "already_performed_keygen"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [access_denied]
{
"err_msg": "string",
"err_type": "access_denied"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [not_found]
{
"err_msg": "string",
"err_type": "not_found"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [internal_problem]
{
"err_msg": "string",
"err_type": "internal_problem"
}